---
- hosts: localhost
  vars_prompt:
    - name: lif_name
      prompt: enter lif_name
      private: false
    - name: vserver
      prompt: enter vserver 
      private: false
    - name: cluster
      prompt: enter clustername 
      private: false
  collections:
  - netapp.ontap
  tasks:
  - name: remove interface for vserver
    na_ontap_interface:
      state: absent
      interface_name: "{{ lif_name }}"
      home_node: cl1-01
      admin_status: up
      vserver: "{{ vserver }}"
      hostname: "{{ cluster }}"
      username: admin
      password: apix1234
      https: true
      validate_certs: false

